Google nu vrea să repare o vulnerabilitate din toate versiunile de Android

Google nu vrea să repare o vulnerabilitate din toate versiunile de Android

O vulnerabilitate descoperită recent în toate versiunile de Android nu are șanse să fie reparată de către cei de la Google.

Cei de la Nightwatch Cybersecurity au descoperit o problemă care afectează toate versiunile sistemului de operare Android. Analiza arată că singura variantă a sistemului care nu mai are această problemă este 9, sau Pie.

Din fericire pentru utilizatorii acestei variante, Google s-a sinchisit să ofere o soluție pentru acestă variantă a sistemului, dar nu are planuri pentru a rezolva aceeași problemă și în variantele anterioare. Codul problemei, dacă ai de gând să urmărești statusul acesteia, e CVE-2018-9489.

Problema despre care e vorba e legată de aplicațiile pe care le instalezi pe telefon. Acestea pot să treacă peste verificările de permisiuni și alte limitări prin intermediul interceptării transmisiunilor de sistem.

Aceste transmisiuni de sistem făcute de Android, conform raportului întocmit de compania de securitate, ”expun informații despre dispozitivul utilizatorului tuturor aplicațiilor care rulează pe telefon”. Între aceste informații se regăsesc date precum numele rețelei Wi-Fi la care este conectat telefonul, BSSID, adresa IP locală, informații despre serverul DNS Și adresa MAC.

Poate că aplicațiile obișnuite pe care le ai pe telefon nu vor face ceva de acest fel, dar o aplicație care e destinată să ”lucreze” și în alte moduri decât cele descrise poate profita de această vulnerabilitate. Conform cercetătorilor, aplicațiile care pot obține acces la aceste date pot identifica și urmări dispozitivul și pot chiar să îl geolocalizeze. Firește, astfel de informații pot fi trimise de o aplicație mai departe.

Accesarea altor informații despre rețea ar putea ajuta aplicațiile malițioase să exploreze și chiar să atace rețeaua Wi-Fi la care este conectat teelfonul.

DĂ PLAY ȘI FII MAI INFORMAT DECÂT PRIETENII TĂI
Citește și:
Etichete: